control 'mariadb-compliance' do
  title 'Check for proper configuration'

  describe package('mariadb-server') do
    it { should be_installed }
  end

  describe user('mysql') do
    it { should exist }
  end

  describe file('/etc/my.cnf') do
    it { should_not be_more_permissive_than('644') }
  end

  describe port(3306) do
    it { should be_listening }
    its('processes') { should include 'mysqld' }
  end
end
